Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07686 Documentation Minor Always Jun 13, 2020, 12:24 Jun 22, 2020, 20:25
Tester ArcadeShadow View Status Public Platform MAME (Official Binary)
Assigned To ArcadeShadow Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver sms.cpp
Version 0.221 Fixed in Version 0.222 Build 64-bit
Summary MESS-specific 07686: gamegear [shinobi2]: Incomplete title name
Description The complete name of the game should be:
The GG Shinobi II: The Silent Fury (World)
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems gamegear [shinobi2]
Attached Files
png file icon BoxCover - TitleScreen.png (135,582 bytes) Jun 13, 2020, 12:24 Uploaded by ArcadeShadow
ArcadeShadow
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17754
hap
Developer
Jun 18, 2020, 21:04
Sure, but I'll put "-"(dash) instead of ":" to be consistent with the rest of gamegear.xml

MAME should ideally decide on "sub-title" style it uses, : or - and do the same style everywhere, unless the game title specifically has it.
I have no preference, but if I google around, I see for example Wikipedia using ":" style.

random examples:
https://en.wikipedia.org/wiki/Terminator_2:_Judgment_Day
https://en.wikipedia.org/wiki/Shining_Force_Gaiden:_Final_Conflict
https://en.wikipedia.org/wiki/The_Simpsons:_Bart_vs._the_Space_Mutants
User avatar
No.17765
Heihachi_73
Tester
Jun 22, 2020, 20:25
I believe the only reason a dash is used instead of a colon in most of the soft lists is partly due to some of the titles being copied straight from filenames; since Windows cannot use the : character in a filename, a dash was used as a separator. "Title: Subtitle" is much more common than "Title - Subtitle" when not counting filenames.